{
    "fields": [
        {
            "doc": "Short tandem repeat coordinates",
            "name": "shortTandemRepeatCoordinates",
            "type": {
                "fields": [
                    {
                        "doc": "The assembly to which this variant corresponds",
                        "name": "assembly",
                        "type": {
                            "doc": "The reference genome assembly",
                            "name": "Assembly",
                            "symbols": [
                                "GRCh38",
                                "GRCh37"
                            ],
                            "type": "enum"
                        }
                    },
                    {
                        "doc": "Chromosome without \"chr\" prefix (e.g. X rather than chrX)",
                        "name": "chromosome",
                        "type": "string"
                    },
                    {
                        "doc": "Start genomic position for variant (1-based)",
                        "name": "start",
                        "type": "int"
                    },
                    {
                        "doc": "End genomic position for variant",
                        "name": "end",
                        "type": "int"
                    },
                    {
                        "name": "ciStart",
                        "type": [
                            "null",
                            {
                                "fields": [
                                    {
                                        "name": "left",
                                        "type": "int"
                                    },
                                    {
                                        "name": "right",
                                        "type": "int"
                                    }
                                ],
                                "name": "ConfidenceInterval",
                                "type": "record"
                            }
                        ]
                    },
                    {
                        "name": "ciEnd",
                        "type": [
                            "null",
                            "ConfidenceInterval"
                        ]
                    }
                ],
                "name": "Coordinates",
                "type": "record"
            }
        },
        {
            "doc": "Repeat motif e.g. CAG",
            "name": "repeatedSequence",
            "type": "string"
        },
        {
            "doc": "Short tandem repeat copy number for each allele",
            "name": "numberOfCopies",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "doc": "Number of copies given by the caller in one of the allele",
                                "name": "numberOfCopies",
                                "type": "int"
                            },
                            {
                                "name": "confidenceIntervalMaximum",
                                "type": [
                                    "null",
                                    "int"
                                ]
                            },
                            {
                                "name": "confidenceIntervalMinimum",
                                "type": [
                                    "null",
                                    "int"
                                ]
                            }
                        ],
                        "name": "NumberOfCopies",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        }
    ],
    "name": "ShortTandemRepeatDetails",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}